Name | Type | Default |
arrow
|
Boolean
|
true
|
Sets or gets the arrow property.
import { Component, ViewEncapsulation } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules" [arrow]="false"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
animation
|
enum:ValidatorAnimation
|
'fade'
|
enum ValidatorAnimation { fade, none } Sets or gets the animation property.
import { Component, ViewEncapsulation } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules" [animation]="'none'"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
animationDuration
|
Number
|
150
|
Sets or gets the animationDuration property.
import { Component, ViewEncapsulation } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules" [animationDuration]="3000"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
closeOnClick
|
Boolean
|
true
|
Sets or gets the closeOnClick property.
import { Component, ViewEncapsulation } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules" [closeOnClick]="false"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
focus
|
Boolean
|
true
|
Sets or gets the focus property.
import { Component, ViewEncapsulation } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules" [focus]="false"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
hintType
|
enum:ValidatorHintType
|
"tooltip"
|
enum ValidatorHintType { tooltip, label } Sets or gets the hintType property.
import { Component, ViewEncapsulation } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules" [hintType]="'label'"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
onError
|
() => Void
|
null
|
Sets or gets the onError property.
import { Component, ViewEncapsulation } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules" [onError]="onError"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
onSuccess
|
() => Void
|
null
|
Sets or gets the onSuccess property.
import { Component, ViewEncapsulation } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules" [onSuccess]="onSuccess"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
position
|
String
|
'right'
|
Sets or gets the position property.
import { Component, ViewEncapsulation } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules" [position]="'left'"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
rules
|
Array<ValidatorRule>
|
[]
|
interface ValidatorRule { input?: String; message?: String; action?: String; rule?: String | Any; position?: String; hintRender?: Any; } Sets or gets the rules property.
import { Component, ViewEncapsulation } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component, ViewEncapsulation } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules" [rtl]="true"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
|
validationError
|
Event
|
|
This is triggered when the form is validated with some errors.
Code examples
Bind to the validationError event of jqxValidator.
import { Component, ViewEncapsulation } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator(onValidationError)= "ValidationError($event)" [rules]= "rules"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; ValidationError(event: any): void { // Do Something } initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
validationSuccess
|
Event
|
|
This is triggered when the form is validated whithout any errors.
Code examples
Bind to the validationSuccess event of jqxValidator.
import { Component, ViewEncapsulation } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator(onValidationSuccess)= "ValidationSuccess($event)" [rules]= "rules"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; ValidationSuccess(event: any): void { // Do Something } initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
|
Name | Return Type | Arguments |
hideHint
|
Void
|
id: String
|
import { Component, ViewEncapsulation, ViewChild, AfterViewInit } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; ngAfterViewInit(): void { this.myValidator.hideHint(input1); } initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
hide
|
Void
|
None
|
import { Component, ViewEncapsulation, ViewChild, AfterViewInit } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; ngAfterViewInit(): void { this.myValidator.hide(); } initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
updatePosition
|
Void
|
None
|
import { Component, ViewEncapsulation, ViewChild, AfterViewInit } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; ngAfterViewInit(): void { this.myValidator.updatePosition(); } initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
validate
|
Void
|
htmlElement: Any
|
import { Component, ViewEncapsulation, ViewChild, AfterViewInit } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; ngAfterViewInit(): void { this.myValidator.validate(); } initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|
validateInput
|
Void
|
id: String
|
import { Component, ViewEncapsulation, ViewChild, AfterViewInit } from "@angular/core";
import { jqxValidatorComponent } from '../../../jqwidgets-ts/angular_jqxvalidator'; import { jqxPasswordInputComponent } from '../../../jqwidgets-ts/angular_jqxpasswordinput'; import { jqxDateTimeInputComponent } from '../../../jqwidgets-ts/angular_jqxdatetimeinput'; @Component({ selector: "app-root", template: ` <jqxValidator #myValidator [rules]= "rules"> <form id='form' action="./"> <table class="register-table"> <tbody> <tr> <td>Username: </td> <td><jqxInput class="userInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td>Password: </td> <td><jqxPasswordInput #passwordInput class="passwordInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Confirm password: </td> <td><jqxPasswordInput #confirmPasswordInput class="passwordConfirmInput text-input" [width]="190" [height]="22"></jqxPasswordInput></td> </tr> <tr> <td>Birth date: </td> <td><jqxDateTimeInput #dateTimeInput [width]="195" [height]="22" [value]="initialDate" class="birthInput"></jqxDateTimeInput></td> </tr> <tr> <td>E-mail: </td> <td><jqxInput [placeHolder]="'someone@mail.com'" class="emailInput text-input" [width]="190" [height]="22"></jqxInput></td> </tr> <tr> <td colspan="2" style="padding-left: 20px;"> <jqxButton #SendButton (onClick)= "sendButton()" style= "text-align: center; margin-left: 8em;" [width]= "60" [height]="25"> Send </jqxButton> </td> </tr> </tbody> </table> </form> </jqxValidator>, styles: [` html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .text-input { height: 21px; width: 200px; } .register-table { margin-top: 10px; margin-bottom: 10px; } .register-table td, .register-table tr { margin: 0px; padding: 2px; border-spacing: 0px; border-collapse: collapse; font-family: Verdana; font-size: 12px; } h3 { display: inline-block; margin: 0px; padding: 0px; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; @ViewChild( 'dateTimeInput') dateTimeInput: jqxDateTimeInputComponent; @ViewChild( 'passwordInput') passwordInput: jqxPasswordInputComponent; @ViewChild( 'confirmPasswordInput') confirmPasswordInput: jqxPasswordInputComponent; @ViewChild( 'myValidator') myValidator: jqxValidatorComponent; ngAfterViewInit(): void { this.myValidator.validateInput(input1); } initialDate: Date = new Date(2014, 4, 1); sendButton(): void { this.myValidator.validate(document.getElementById( 'form')); } rules = [ { input: '.userInput', message: 'Username is required!', action: 'keyup, blur', rule: 'required' }, { input: '.userInput', message: 'Your username must be between 3 and 12 characters!', action: 'keyup, blur', rule: 'length=3,12' }, { input: '.birthInput', message: 'Your birth date must be between 1/1/1900 and 1/1/2014.', action: 'valueChanged', rule: (input: any, commit: any): any => { let date = this.dateTimeInput.value(); let result = date.getFullYear() >= 1900 && date.getFullYear() <= 2014; return result; } }, { input: '.passwordInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordInput', message: 'Your password must be between 4 and 12 characters!', action: 'keyup, blur', rule: 'length=4,12' }, { input: '.passwordConfirmInput', message: 'Password is required!', action: 'keyup, blur', rule: 'required' }, { input: '.passwordConfirmInput', message: 'Passwords doesn\'t match!', action: 'keyup, focus', rule: (input: any, commit: any): boolean => { if (this.passwordInput.val() === this.confirmPasswordInput.val()) { return true; } return false; } }, { input: '.emailInput', message: 'E-mail is required!', action: 'keyup, blur', rule: 'required' }, { input: '.emailInput', message: 'Invalid e-mail!', action: 'keyup', rule: 'email' }
|

Name | Type | Default |
arrow
|
Boolean
|
true
|
Sets or gets whether the arrow of the hints will be shown.
<template> <JqxValidator ref="myValidator" :rules="rules" :arrow="false"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template> <script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate();
|
animation
|
String
|
'fade'
|
Sets or gets the animation of showing, hiding the hints.
Possible Values:
'fade'
'none'
<template> <JqxValidator ref="myValidator" :rules="rules" :animation="'none'"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template> <script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate();
|
animationDuration
|
Number
|
150
|
Sets or gets the duration of the animation used for showing/hiding the hints.
<template> <JqxValidator ref="myValidator" :rules="rules" :animationDuration="3000"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template> <script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate();
|
closeOnClick
|
Boolean
|
true
|
Sets or gets whether the hints will be closed when the user click on them.
<template> <JqxValidator ref="myValidator" :rules="rules" :closeOnClick="false"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template> <script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate();
|
focus
|
Boolean
|
true
|
Sets or gets whether the jqxValidator will focus the first invalid input.
<template> <JqxValidator ref="myValidator" :rules="rules" :focus="false"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template> <script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate();
|
hintType
|
String
|
"tooltip"
|
Sets or gets the hint type. Possible values: 'tooltip' and 'label'.
<template> <JqxValidator ref="myValidator" :rules="rules" :hintType="'label'"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template> <script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate();
|
onError
|
Function
|
null
|
Sets or gets callback which will be called on validation error.
<template> <JqxValidator ref="myValidator" :rules="rules" :onError="onError"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template> <script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate(); }, onError: function () { alert( 'You have not filled the form correctly!');
|
onSuccess
|
Function
|
null
|
Sets or gets the callback which will be executed on success.
<template> <JqxValidator ref="myValidator" :rules="rules" :onSuccess="onSuccess"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template> <script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate(); }, onSuccess: function () { alert( 'You have filled the form correctly!');
|
position
|
String
|
'right'
|
Sets or gets the default position of the hints.
<template> <JqxValidator ref="myValidator" :rules="rules" :position="'left'"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template> <script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate();
|
rules
|
Array
|
[]
|
Sets jqxValidator rules. Format of a single rule is as follows:
{ input: 'selector-of-the-input',
message: 'Custom message on error',
action: 'Custom action (keyup, change...etc)',
rule: 'Build rule (ssn, phone, email...) or custom function',
position: 'Position of the hint (format pos:x,y)',
hintRender: 'Function for hint rendering' }
<template> <JqxValidator ref="myValidator" :rules="rules"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template> <script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate();
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether the validation messages are displayed from the left side instead of the right.
<template> <JqxValidator ref="myValidator" :rules="rules" :rtl="true"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template> <script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate();
|
|
validationError
|
Event
|
|
This is triggered when the form is validated with some errors.
Code examples
Bind to the validationError event of jqxValidator.
<template> <JqxValidator ref="myValidator" @validationError="onValidationError($event)" :rules="rules"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template> <script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate(); }, onValidationError: function (event) { alert( 'do something...');
|
validationSuccess
|
Event
|
|
This is triggered when the form is validated whithout any errors.
Code examples
Bind to the validationSuccess event of jqxValidator.
<template> <JqxValidator ref="myValidator" @validationSuccess="onValidationSuccess($event)" :rules="rules"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template> <script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate(); }, onValidationSuccess: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
hideHint
|
id
|
None
|
Hide all hints for a specific input.
<template> <JqxValidator ref="myValidator" :rules="rules"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template><script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate(); } }, mounted: function () { this.$refs.myValidator.validate(); this.$refs.myValidator.hideHint( '#userInput');
|
hide
|
None
|
None
|
Hiding all hints for the current form.
<template> <JqxValidator ref="myValidator" :rules="rules"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template><script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate(); } }, mounted: function () { this.$refs.myValidator.validate(); this.$refs.myValidator.hide();
|
updatePosition
|
None
|
None
|
Updating the positions of all hints. This is useful for example on window resize.
<template> <JqxValidator ref="myValidator" :rules="rules"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template><script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate(); } }, mounted: function () { this.$refs.myValidator.validate(); this.$refs.myValidator.updatePosition();
|
validate
|
htmlElement
|
None
|
Validating the whole form.
<template> <JqxValidator ref="myValidator" :rules="rules"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template> <script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate(); } }, mounted: function () { this.$refs.myValidator.validate();
|
validateInput
|
id
|
None
|
Validates a single input. This method accepts a single parameter which is selector of the input you want to validate. Notice that this selector should be the same like the one you've passed in the rules array.
<template> <JqxValidator ref="myValidator" :rules="rules"> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username:</td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator></template> <script> import JqxValidator from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxvalidator.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxValidator, JqxButton }, data: function () { return { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } }, methods: { submit: function () { this.$refs.myValidator.validate(); } }, mounted: function () { this.$refs.myValidator.validateInput( '#userInput');
|

Name | Type | Default |
arrow
|
boolean
|
true
|
Sets or gets whether the arrow of the hints will be shown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxValidator, { IValidatorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxvalidator'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, IValidatorProps> { private myValidator = React.createRef <JqxValidator>(); constructor(props: {}) { super(props); this.state = { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } } public render() { return ( <JqxValidator ref={this.myValidator} rules={this.state.rules} arrow={false}> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username: </td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator> ); } private submit() { this.myValidator.current!.validate(); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
animation
|
ValidatorAnimation
|
'fade'
|
ValidatorAnimation: "fade" | "none"
Sets or gets the animation of showing, hiding the hints.
Possible Values:
'fade'
'none'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxValidator, { IValidatorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxvalidator'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, IValidatorProps> { private myValidator = React.createRef <JqxValidator>(); constructor(props: {}) { super(props); this.state = { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } } public render() { return ( <JqxValidator ref={this.myValidator} rules={this.state.rules} animation={ 'none'}> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username: </td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator> ); } private submit() { this.myValidator.current!.validate(); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
animationDuration
|
number
|
150
|
Sets or gets the duration of the animation used for showing/hiding the hints.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxValidator, { IValidatorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxvalidator'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, IValidatorProps> { private myValidator = React.createRef <JqxValidator>(); constructor(props: {}) { super(props); this.state = { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } } public render() { return ( <JqxValidator ref={this.myValidator} rules={this.state.rules} animationDuration={3000}> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username: </td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator> ); } private submit() { this.myValidator.current!.validate(); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
closeOnClick
|
boolean
|
true
|
Sets or gets whether the hints will be closed when the user click on them.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxValidator, { IValidatorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxvalidator'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, IValidatorProps> { private myValidator = React.createRef <JqxValidator>(); constructor(props: {}) { super(props); this.state = { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } } public render() { return ( <JqxValidator ref={this.myValidator} rules={this.state.rules} closeOnClick={false}> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username: </td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator> ); } private submit() { this.myValidator.current!.validate(); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
focus
|
boolean
|
true
|
Sets or gets whether the jqxValidator will focus the first invalid input.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxValidator, { IValidatorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxvalidator'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, IValidatorProps> { private myValidator = React.createRef <JqxValidator>(); constructor(props: {}) { super(props); this.state = { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } } public render() { return ( <JqxValidator ref={this.myValidator} rules={this.state.rules} focus={false}> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username: </td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator> ); } private submit() { this.myValidator.current!.validate(); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
hintType
|
ValidatorHintType
|
"tooltip"
|
ValidatorHintType: "tooltip" | "label"
Sets or gets the hint type. Possible values: 'tooltip' and 'label'.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxValidator, { IValidatorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxvalidator'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, IValidatorProps> { private myValidator = React.createRef <JqxValidator>(); constructor(props: {}) { super(props); this.state = { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } } public render() { return ( <JqxValidator ref={this.myValidator} rules={this.state.rules} hintType={ 'label'}> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username: </td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator> ); } private submit() { this.myValidator.current!.validate(); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
onError
|
() => void
|
null
|
Sets or gets callback which will be called on validation error.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxValidator, { IValidatorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxvalidator'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, IValidatorProps> { private myValidator = React.createRef <JqxValidator>(); constructor(props: {}) { super(props); this.state = { onError: (): any => { alert( 'You have not filled the form correctly!'); }, rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } } public render() { return ( <JqxValidator ref={this.myValidator} rules={this.state.rules} onError={this.state.onError}> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username: </td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator> ); } private submit() { this.myValidator.current!.validate(); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
onSuccess
|
() => void
|
null
|
Sets or gets the callback which will be executed on success.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxValidator, { IValidatorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxvalidator'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, IValidatorProps> { private myValidator = React.createRef <JqxValidator>(); constructor(props: {}) { super(props); this.state = { onSuccess: (): any => { alert( 'You have filled the form correctly!'); }, rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } } public render() { return ( <JqxValidator ref={this.myValidator} rules={this.state.rules} onSuccess={this.state.onSuccess}> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username: </td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator> ); } private submit() { this.myValidator.current!.validate(); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
position
|
string
|
'right'
|
Sets or gets the default position of the hints.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxValidator, { IValidatorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxvalidator'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, IValidatorProps> { private myValidator = React.createRef <JqxValidator>(); constructor(props: {}) { super(props); this.state = { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } } public render() { return ( <JqxValidator ref={this.myValidator} rules={this.state.rules} position={ 'left'}> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username: </td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator> ); } private submit() { this.myValidator.current!.validate(); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rules
|
Array<ValidatorRule>
|
[]
|
Interface ValidatorRule { input?: string; message?: string; action?: string; rule?: string | any; position?: string; hintRender?: any; }
Sets jqxValidator rules. Format of a single rule is as follows:
{ input: 'selector-of-the-input',
message: 'Custom message on error',
action: 'Custom action (keyup, change...etc)',
rule: 'Build rule (ssn, phone, email...) or custom function',
position: 'Position of the hint (format pos:x,y)',
hintRender: 'Function for hint rendering' }
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxValidator, { IValidatorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxvalidator'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, IValidatorProps> { private myValidator = React.createRef <JqxValidator>(); constructor(props: {}) { super(props); this.state = { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } } public render() { return ( <JqxValidator ref={this.myValidator} rules={this.state.rules}> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username: </td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator> ); } private submit() { this.myValidator.current!.validate(); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether the validation messages are displayed from the left side instead of the right.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxValidator, { IValidatorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxvalidator'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, IValidatorProps> { private myValidator = React.createRef <JqxValidator>(); constructor(props: {}) { super(props); this.state = { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } } public render() { return ( <JqxValidator ref={this.myValidator} rules={this.state.rules} rtl={true}> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username: </td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator> ); } private submit() { this.myValidator.current!.validate(); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
validationError
|
Event
|
|
This is triggered when the form is validated with some errors.
Code examples
Bind to the validationError event of jqxValidator.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxValidator, { IValidatorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxvalidator'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, IValidatorProps> { private myValidator = React.createRef <JqxValidator>(); constructor(props: {}) { super(props); this.state = { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } } public render() { return ( <JqxValidator ref={this.myValidator} onValidationError={this.onValidationError} rules={this.state.rules}> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username: </td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator> ); } private submit() { this.myValidator.current!.validate(); } private onValidationError(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
validationSuccess
|
Event
|
|
This is triggered when the form is validated whithout any errors.
Code examples
Bind to the validationSuccess event of jqxValidator.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxValidator, { IValidatorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxvalidator'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, IValidatorProps> { private myValidator = React.createRef <JqxValidator>(); constructor(props: {}) { super(props); this.state = { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } } public render() { return ( <JqxValidator ref={this.myValidator} onValidationSuccess={this.onValidationSuccess} rules={this.state.rules}> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username: </td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator> ); } private submit() { this.myValidator.current!.validate(); } private onValidationSuccess(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
hideHint
|
id
|
|
Hide all hints for a specific input.
|
hide
|
None
|
|
Hiding all hints for the current form.
|
updatePosition
|
None
|
|
Updating the positions of all hints. This is useful for example on window resize.
|
validate
|
htmlElement
|
|
Validating the whole form.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxValidator, { IValidatorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxvalidator'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, IValidatorProps> { private myValidator = React.createRef <JqxValidator>(); constructor(props: {}) { super(props); this.state = { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } } public componentDidMount(): void { this.myValidator.current!.validate(); } public render() { return ( <JqxValidator ref={this.myValidator} rules={this.state.rules}> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username: </td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator> ); } private submit() { this.myValidator.current!.validate(); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
validateInput
|
id
|
|
Validates a single input. This method accepts a single parameter which is selector of the input you want to validate. Notice that this selector should be the same like the one you've passed in the rules array.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxValidator, { IValidatorProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxvalidator'; import JqxButton, { IButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbuttons'; class App extends React.PureComponent<{}, IValidatorProps> { private myValidator = React.createRef <JqxValidator>(); constructor(props: {}) { super(props); this.state = { rules: [{ input: '#userInput', message: 'Username is required!', action: 'blur', rule: 'required' }, { input: '#emailInput', message: 'Invalid e-mail!', action: 'blur', rule: 'email' }, { input: '#emailInput', message: 'Email is required!', action: 'blur', rule: 'required' }] } } public componentDidMount(): void { this.myValidator.current!.validateInput( '#userInput'); } public render() { return ( <JqxValidator ref={this.myValidator} rules={this.state.rules}> <form id='testForm' action='./'> <table class='register-table'> <tr> <td>Username: </td> <td> <input type='text' id='userInput' class='text-input' /> </td> </tr> <tr> <td>E-mail: </td> <td> <input type='text' id='emailInput' class='text-input' /> </td> </tr> </table> </form> <jqxButton @click='submit()' :width='50'>Submit </jqxButton> </JqxValidator> ); } private submit() { this.myValidator.current!.validate(); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|